Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Compiz-Fusion: "The Composite extension is not available"  (gelezen 5596 keer)

Offline Benny Vermeulen

  • Lid
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Gepost op: 2007/10/21, 15:08:43 »
Hey

Ik heb een verse install van 7.10 gedaan.
Verliep vlotjes, eerste install met de gewone cd (vroeger altijd alternate)

Nu heb ik een ATI X1600 Mobility en heb ik dus de restricted drivers geactiveerd.

Nu wou ik de ingebouwde effecten van compiz-fusion eens testen, maar bij het activeren via "Uiterlijk" -> "Visuele Effecten" krijg ik de melding "The Composite extension is not available"

Hoe krijg ik dit aan de praat? En hoe kies ik de settings?

Vroeger (7.04) heb ik moeten klooien met verschillende settings (xgl was het geloof ik). Moet ik dit terug doen dan?

Alvast bedankt!

Groeten

Benny

Offline joseph

  • Lid
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #1 Gepost op: 2007/10/21, 20:38:54 »
Idemdito probleempje.

Betreft een Ati Radeon 9800XL met een geactiveerde beperkt ondersteunde stuurprogramma.

Ben dus ook benieuwd of er een oplossing is.

Offline raggar

  • Lid
    • fietsen naar Tibet
  • Steunpunt: Ja
Compiz-Fusion: "The Composite extension is not available"
« Reactie #2 Gepost op: 2007/10/21, 20:42:27 »
installeer eens xserver-xgl "sudo apt-get install xserver-xgl"

zjeraar

  • Gast
Compiz-Fusion: "The Composite extension is not available"
« Reactie #3 Gepost op: 2007/10/21, 20:44:59 »
Ik heb hetzelfde probleem, en hier al elders op het forum gepost. Blijkbaar moet er nog een driver voor de ATI kaarten uitkomen, deze maand. Voor mij is dit niet superdringend, linux is toch niet mijn primair systeem, dus ik wacht wel. Maar ik kan me voorstellen dat het voor anderen wel lang wachten kan zijn... Wat je dan moet doen weet ik niet, ben sinds een week bezig met ubuntu...

Trolleystad

  • Gast
Compiz-Fusion: "The Composite extension is not available"
« Reactie #4 Gepost op: 2007/10/21, 20:47:54 »
XGL sessies kan niet meer in 7.10, dus het wordt inderdaad wachten op de nieuwe ATI drivers.

Offline crashit

  • Lid
    • Tekstbureau Anderverhaal
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #5 Gepost op: 2007/10/22, 13:43:58 »
Je hoeft geen XGL sessies meer aan te maken in Ubuntu 7.10. Check deze handleiding:
https://help.ubuntu.com/community/CompositeManager/CompizFusionATI?highlight=%28fusion%29%7C%28compiz%29

Zo heb ik mijn Compiz Fusion aan de praat gekregen.
"If engineers built buildings the way Microsoft builds operating systems the first woodpecker to come along would bring civilization to its knees."

Offline asilnevs

  • Lid
    • jef-damen
    • Ubuntu - Video - 2012
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #6 Gepost op: 2007/10/22, 18:48:37 »
Met dit topic ben ik er uit geraakt: http://forum.ubuntu-nl.org/topic/15670 ;)
Allemaal Linux gerelateerde links op mijn website http://home.scarlet.be/jefdamen/Ubuntu.html
Mijn filmpjes met Openshot en Kdenlive gemaakt:http://www.youtube.com/user/asilnevs
https://jefdamen.wordpress.com/
We are spiritual beings having a human experience

allard

  • Gast
Compiz-Fusion: "The Composite extension is not available"
« Reactie #7 Gepost op: 2007/10/22, 20:51:31 »
Ik heb ook het zelfde probleem als boven verveld: "composite extension not available" Ik heb net geupdate en volgens mij is er nu wel een driver voor de Radeon X1600 Mobility beschikbaar. Nu hopen dat ik Compiz Fusion aan de praat krijg door de stappen hierboven.

Offline joseph

  • Lid
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #8 Gepost op: 2007/10/22, 22:12:36 »
Crashit, bedankt voor de tip.
Bij mij werkte de handleiding :lol:

Offline raggar

  • Lid
    • fietsen naar Tibet
  • Steunpunt: Ja
Compiz-Fusion: "The Composite extension is not available"
« Reactie #9 Gepost op: 2007/10/23, 00:20:02 »
Citaat van: Trolleystad
XGL sessies kan niet meer in 7.10, dus het wordt inderdaad wachten op de nieuwe ATI drivers.
Natuurlijk bestaat Xgl nog wel, alleen je hoeft geen hele nieuwe sessie meer te maken. Je kunt het activeren door de bovenstaande methode, zie mijn eerdere post.

Mocht dit niet werken en je houdt de foutmelding dat de composite extention mist. Voeg dan het onderstaande toe aan je xorg.conf "sudo nano -w /etc/X11/xorg.conf"

Section "Module"
Load "glx"
EndSection
Section "Extensions"
Option "Composite" "0"
EndSection
EDIT: is alleen voor mensen die fglrx als driver gebruiken, dus die van de restricted drivers manager!

Offline kiersie

  • Lid
    • http://www.gboek.nl
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #10 Gepost op: 2007/10/23, 02:21:55 »
en zonder de retricted driver? bij imjn x800 werkt t prima

Monstroxus

  • Gast
Compiz-Fusion: "The Composite extension is not available"
« Reactie #11 Gepost op: 2007/10/23, 06:32:49 »
bij mij ook, werkt prima zonder restricted driver.

Offline raggar

  • Lid
    • fietsen naar Tibet
  • Steunpunt: Ja
Compiz-Fusion: "The Composite extension is not available"
« Reactie #12 Gepost op: 2007/10/23, 06:41:51 »
Citaat van: Monstroxus
bij mij ook, werkt prima zonder restricted driver.
Jullie hebben helemaal gelijk, wanneer het prima met de opensource driver werkt gebruik die dan vooral. Wat betreft aiglx ondersteuning is die veel verder! Je hebt daarvoor geen xgl nodig.

Offline patrick

  • Lid
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #13 Gepost op: 2007/10/23, 07:55:04 »
Ik hoop echt in de toekomst dat ati betere drivers zal maken. Had ook eerst een radeon 9550 en had anders niks dan problemen heb hier genoeg vragen gesteld, maar het was konstant iets. Dan werkte beryl of compiz maar kon ik niks meer doen met tvtime enz.
Ben naar de winkel gegeaan en de goedlkoopste nvidia gekocht want ik speel geen games.
Een nvidia fx5200 met 128Mb ram AGP. Deze ingeplugd heb gutsy dan maar direct geinstalleerd en alles werkte perfect, compiz, tvtime enz zonder problemen.
Kostprijs voor deze nieuwe kaart was 30€.
Acer desktop met intel E5200 - 4Gb Ram - ATI RADEON HD3450 256Mb - 640Gb HD en 1 van 320 Gb.
Dual boot systeem met Ubuntu 11.04 32Bit en Windows 7 Ultimate 32Bit

Offline moxie

  • Lid
    • JackTummers
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #14 Gepost op: 2007/10/23, 09:29:04 »
Met de link die Crashit gaf kreeg ik bij mij Compiz meteen werkend bij een verse Gutsy installatie. En dat na voorheen lang lang proberen in Feisty. Ik heb een ATI XT1600 Silent kaart en gebruik de restricted drivers.

Zelf gebruik ik Compiz spaarzaam en dus met minimale instellingen, maar ik moet zeggen dat het dan net iets prettiger oogt dan zonder. Erg mooi en zonder verlies aan snelheid. Als ik dit vergelijk met Vista dan bakt Microsoft er echt nog helemaal niks van...
JackTummers.nl

Offline Benny Vermeulen

  • Lid
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #15 Gepost op: 2007/10/23, 20:32:36 »
Citaat van: raggar
Citaat van: Trolleystad
XGL sessies kan niet meer in 7.10, dus het wordt inderdaad wachten op de nieuwe ATI drivers.
Natuurlijk bestaat Xgl nog wel, alleen je hoeft geen hele nieuwe sessie meer te maken. Je kunt het activeren door de bovenstaande methode, zie mijn eerdere post.

Mocht dit niet werken en je houdt de foutmelding dat de composite extention mist. Voeg dan het onderstaande toe aan je xorg.conf "sudo nano -w /etc/X11/xorg.conf"
Nu werkt 'ie! Bedankt!

MAAR:

voordien had ik 1440x900 res. en nu zit ik vast op een magere 1024x768, bij de settings kan ik blijkbaar niet hoger.

Iemand een idee?

Alvast bedankt!

Groeten

Benny

Offline raggar

  • Lid
    • fietsen naar Tibet
  • Steunpunt: Ja
Compiz-Fusion: "The Composite extension is not available"
« Reactie #16 Gepost op: 2007/10/24, 01:45:10 »
Citaat van: amkrisis
Nu werkt 'ie! Bedankt!

MAAR:

voordien had ik 1440x900 res. en nu zit ik vast op een magere 1024x768, bij de settings kan ik blijkbaar niet hoger.

Iemand een idee?

Alvast bedankt!

Groeten

Benny
Wat heb je ingevoerd of veranderd in xorg.conf? Het kan helpen om "sudo reconfigure xserver-xorg" uit te voeren

Offline Thom

  • Lid
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #17 Gepost op: 2007/10/25, 22:08:22 »
Ik heb een ATI 9800 XXL (Medion PC van ca 2 jaar terug). Ik heb de instructies volgens onderstaande link gevolgd.

https://help.ubuntu.com/community/Compo … 8compiz%29

Kreeg eerst een "vastloper", stroom moest eraf. Bij herstart krijg ik nu de melding.

Xgl server setup changed

The Xgl server will now be started automatically next time you login.  It is no longer necessary to use any special X session to start Xgl, and such sessions will likely fail to work properly.  Please select a regular session from your session manager next time you log in.  To disable Xgl autostart for this user, create a file named ~/.config/xserver-xgl/disable

De laatste zin is voor mij onbegrijpelijk. Voor wie niet?

mvrgr
Thom
HP Compaq AMD66 Althlon 2, 2 Gb geheugen, Dual boot Ubuntu 12.04 + Windows 7
Onbekende P4, 1,0 Gb geheugen, Dual boot Ubuntu 11.04 + Window XP3
HP PC Pentium 4, 512Mb geheugen, Dual boot Ubuntu 11,04 + Windows XP3

Offline Thom

  • Lid
  • Steunpunt: Nee
Compiz-Fusion: "The Composite extension is not available"
« Reactie #18 Gepost op: 2007/10/25, 22:31:05 »
Nog even een aanvulling op mijn voorgaande post. De instructies werken wel of te wel Compiz-Fusion staat nu aan. Merk wel dat na deze aanpassing de schermen trager op het beeld komen. Ook het inlogscherm heeft een hogere resolutie (1920 X 1080) hetgeen voor mijn 19 inch TFT scherm te hoog is (en te uitgerekt). Heb gezocht naar een mogelijkheid om deze resolutie in het aanlogscherm aan te passen, maar heb nog geen keuze hiervoor gevonden.
HP Compaq AMD66 Althlon 2, 2 Gb geheugen, Dual boot Ubuntu 12.04 + Windows 7
Onbekende P4, 1,0 Gb geheugen, Dual boot Ubuntu 11.04 + Window XP3
HP PC Pentium 4, 512Mb geheugen, Dual boot Ubuntu 11,04 + Windows XP3